Foxit PDF SDK

Public Member Functions | List of all members
foxit::pdf::actions::LaunchAction Class Reference
Inheritance diagram for foxit::pdf::actions::LaunchAction:

## Public Member Functions
| LaunchAction (const Action &action)
| Constructor, with parent class object. More...
FileSpec | GetFileSpec ()
| Get the file specification which specifies the application to be launched or the document to be opened or printed. More...
NewWindowFlag | GetNewWindowFlag ()
| Get the flag which is used to decide whether to open the destination document in a new window or not. More...
String | GetWinAppOperation ()
| (Windows-specific launch parameters) Get the operation name. More...
String | GetWinAppParameter ()
| (Windows-specific launch parameters) Get parameter string to be passed to the specified application. More...
String | GetWinDefaultDirectory ()
| (Windows-specific launch parameters) Get the default directory in standard DOS syntax. More...
String | GetWinFileName ()
| (Windows-specific launch parameters) Get the file name of the application to be launched or the document to be opened or printed. More...
void | SetFileSpec (const FileSpec &file_specification)
| Set a file specification which specifies an application to be launched or a document to be opened or printed. More...
void | SetNewWindowFlag (NewWindowFlag flag)
| Set the flag which is used to decide whether to open the destination document in a new window or not. More...
void | SetWinLaunchParameter (const String &file_name, const String &default_directory, const String &operation, const String &app_parameter)
| (Windows-specific launch parameters)Set Windows-specific launch parameters. More...
Public Member Functions inherited from foxit::pdf::actions::Action
| Action (const Action &action)
| Constructor, with another action object. More...
| Action (const PDFDoc &document, objects::PDFDictionary *action_dict)
| Constructor, with parameters. More...
| ~Action ()
| Destructor.
objects::PDFDictionary * | GetDict () const
| Get PDF dictionary of current object. More...
PDFDoc | GetDocument ()
| Get the PDF document, to which current action belongs. More...
Action | GetSubAction (int index)
| Get a sub-action by index. More...
int | GetSubActionCount ()
| Get the count of sub-actions. More...
Type | GetType ()
| Get action type. More...
void | InsertSubAction (int index, const Action &sub_action)
| Insert a new sub-action to the location specified by index. More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | operator!= (const Action &other) const
| Not equal operator. More...
Action & | operator= (const Action &other)
| Assign operator. More...
bool | operator== (const Action &other) const
| Equal operator. More...
void | RemoveAllSubActions ()
| Remove all the sub-actions. More...
void | RemoveSubAction (int index)
| Remove a sub-action, specified by index. More...
void | SetSubAction (int index, const Action &sub_action)
| Set a sub-action by index. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Additional Inherited Members
Public Types inherited from foxit::pdf::actions::Action
enum | NewWindowFlag { e_NewWindowFlagFalse = 0, e_NewWindowFlagTrue = 1, e_NewWindowFlagNone = 2 }
| Enumeration for new window flag. More...
enum | Type { e_TypeUnknown = 0, e_TypeGoto = 1, e_TypeGoToR = 2, e_TypeGoToE = 3, e_TypeLaunch = 4, e_TypeThread = 5, e_TypeURI = 6, e_TypeSound = 7, e_TypeMovie = 8, e_TypeHide = 9, e_TypeNamed = 10, e_TypeSubmitForm = 11, e_TypeResetForm = 12, e_TypeImportData = 13, e_TypeJavaScript = 14, e_TypeSetOCGState = 15, e_TypeRendition = 16, e_TypeTrans = 17, e_TypeGoTo3DView = 18 }
| Enumeration for action type. More...
Static Public Member Functions inherited from foxit::pdf::actions::Action
static Action | Create (const foxit::pdf::PDFDoc &document, Type action_type)
| Create a new action, for specified action type. More...

## Detailed Description

Launch action is to launch an application, usually to open a file. Class actions::LaunchAction is derived from Action and offers functions to get/set launch action data.

See also
  Action

## Constructor & Destructor Documentation

## ◆ LaunchAction()

foxit::pdf::actions::LaunchAction::LaunchAction | ( | const Action & | action | ) |
| explicit

Constructor, with parent class object.

Parameters

  [in] | action | Parent class object.

## Member Function Documentation

## ◆ GetFileSpec()

FileSpec foxit::pdf::actions::LaunchAction::GetFileSpec | ( |  | ) |

Get the file specification which specifies the application to be launched or the document to be opened or printed.

Returns
  A file specification object. If the return value of function FileSpec::IsEmpty for the returned file specification object is true, that means no such property is found.

## ◆ GetNewWindowFlag()

NewWindowFlag foxit::pdf::actions::LaunchAction::GetNewWindowFlag | ( |  | ) |

Get the flag which is used to decide whether to open the destination document in a new window or not.

Returns
  The new windows flag. It would be one of following values:
  - Action::e_NewWindowFlagTrue means to open the destination document in a new window.
  - Action::e_NewWindowFlagFalse means that the destination document replaces current document in the same window.
  - Action::e_NewWindowFlagNone means that no such flag and the viewer application should behave in accordance with the current user preference.

## ◆ GetWinAppOperation()

String foxit::pdf::actions::LaunchAction::GetWinAppOperation | ( |  | ) |

(Windows-specific launch parameters) Get the operation name.

Standard strings for operation name are:

- "open": Open a document.
- "print": Print a document

If the file name of Windows-specific launch parameters represents an application, the operation name would be useless for current action.

Returns
  Operation name.

## ◆ GetWinAppParameter()

String foxit::pdf::actions::LaunchAction::GetWinAppParameter | ( |  | ) |

(Windows-specific launch parameters) Get parameter string to be passed to the specified application.

If the file name of Windows-specific launch parameters represents a document, app parameter string will be ignored.

Returns
  Parameter string.

## ◆ GetWinDefaultDirectory()

String foxit::pdf::actions::LaunchAction::GetWinDefaultDirectory | ( |  | ) |

(Windows-specific launch parameters) Get the default directory in standard DOS syntax.

Returns
  Default directory.

## ◆ GetWinFileName()

String foxit::pdf::actions::LaunchAction::GetWinFileName | ( |  | ) |

(Windows-specific launch parameters) Get the file name of the application to be launched or the document to be opened or printed.

Returns
  File name.

## ◆ SetFileSpec()

void foxit::pdf::actions::LaunchAction::SetFileSpec | ( | const FileSpec & | file_specification | ) |

Set a file specification which specifies an application to be launched or a document to be opened or printed.

Parameters

  [in] | file_specification | A valid file specification object. This object should be in the same document with current action object.

Returns
  None.

## ◆ SetNewWindowFlag()

void foxit::pdf::actions::LaunchAction::SetNewWindowFlag | ( | NewWindowFlag | flag | ) |

Set the flag which is used to decide whether to open the destination document in a new window or not.

Parameters

  [in] | flag | The new window flag. It should be one of following values: Action::e_NewWindowFlagTrue means to open the destination document in a new window. Action::e_NewWindowFlagFalse means that the destination document replaces current document in the same window. Action::e_NewWindowFlagNone means that no such flag and the viewer application should behave in accordance with the current user preference.

Returns
  None.

## ◆ SetWinLaunchParameter()

void foxit::pdf::actions::LaunchAction::SetWinLaunchParameter | ( | const String & | file_name,
|  | const String & | default_directory,
|  | const String & | operation,
|  | const String & | app_parameter
| ) |  |

(Windows-specific launch parameters)Set Windows-specific launch parameters.

This function is used to set Windows-specific launch parameters. Parameter file_name is necessary and can represent either an application or a document. When parameter file_name represents an application, parameters operation and app_parameter are useless.

Parameters

  [in] | file_name | The file name of the application to be launched or the document to be opened or printed. It should not be an empty string.
  [in] | default_directory | Default directory in standard DOS syntax.
  [in] | operation | Operation name. This can be an empty string. If this is not an empty string, it should be one of following strings: "open": Open a document. "print": Print a document
  [in] | app_parameter | Parameter string to be passed to the specified application.

Returns
  None.